Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Installation issue: Package operation failed #99

Closed
mindaslab opened this Issue · 2 comments

2 participants

@mindaslab

Tried to install Opa using your debian installer package on Ubuntu 12.10 64-bit, it threw out the following warning

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Extracting templates from packages: 78%
Extracting templates from packages: 100%
Preconfiguring packages ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Extracting templates from packages: 78%
Extracting templates from packages: 100%
Preconfiguring packages ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Extracting templates from packages: 78%
Extracting templates from packages: 100%
Preconfiguring packages ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Extracting templates from packages: 78%
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package gcc-4.7-base:i386.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 147275 files and directories currently installed.)
Unpacking gcc-4.7-base:i386 (from .../gcc-4.7-base_4.7.2-2ubuntu1_i386.deb) ...
Selecting previously unselected package libgcc1:i386.
Unpacking libgcc1:i386 (from .../libgcc1_1%3a4.7.2-2ubuntu1_i386.deb) ...
Selecting previously unselected package libc6:i386.
Unpacking libc6:i386 (from .../libc6_2.15-0ubuntu20_i386.deb) ...
Selecting previously unselected package zlib1g:i386.
Unpacking zlib1g:i386 (from .../zlib1g_1%3a1.2.7.dfsg-13_i386.deb) ...
Selecting previously unselected package libssl1.0.0:i386.
Unpacking libssl1.0.0:i386 (from .../libssl1.0.0_1.0.1c-3ubuntu2_i386.deb) ...
Selecting previously unselected package libstdc++6:i386.
Unpacking libstdc++6:i386 (from .../libstdc++6_4.7.2-2ubuntu1_i386.deb) ...
Selecting previously unselected package libc-ares2:amd64.
Unpacking libc-ares2:amd64 (from .../libc-ares2_1.9.1-3_amd64.deb) ...
Selecting previously unselected package libc-ares2:i386.
Unpacking libc-ares2:i386 (from .../libc-ares2_1.9.1-3_i386.deb) ...
Selecting previously unselected package wwwconfig-common.
Unpacking wwwconfig-common (from .../wwwconfig-common_0.2.2_all.deb) ...
Selecting previously unselected package javascript-common.
Unpacking javascript-common (from .../javascript-common_8_all.deb) ...
Selecting previously unselected package libjs-node-uuid.
Unpacking libjs-node-uuid (from .../libjs-node-uuid_1.3.3-1_all.deb) ...
Selecting previously unselected package zlib1g-dev:amd64.
Unpacking zlib1g-dev:amd64 (from .../zlib1g-dev_1%3a1.2.7.dfsg-13_amd64.deb) ...
Selecting previously unselected package libssl-dev.
Unpacking libssl-dev (from .../libssl-dev_1.0.1c-3ubuntu2_amd64.deb) ...
Selecting previously unselected package libssl-doc.
Unpacking libssl-doc (from .../libssl-doc_1.0.1c-3ubuntu2_all.deb) ...
Selecting previously unselected package libv8-3.8.9.20.
Unpacking libv8-3.8.9.20 (from .../libv8-3.8.9.20_3.8.9.20-2_amd64.deb) ...
Selecting previously unselected package libev4.
Unpacking libev4 (from .../libev4_1%3a4.11-1_amd64.deb) ...
Selecting previously unselected package nodejs.
Unpacking nodejs (from .../nodejs_0.6.19~dfsg1-5ubuntu1_amd64.deb) ...
Selecting previously unselected package node-node-uuid.
Unpacking node-node-uuid (from .../node-node-uuid_1.3.3-1_all.deb) ...
Selecting previously unselected package libc-ares-dev:amd64.
Unpacking libc-ares-dev:amd64 (from .../libc-ares-dev_1.9.1-3_amd64.deb) ...
Selecting previously unselected package libev-dev.
Unpacking libev-dev (from .../libev-dev_1%3a4.11-1_amd64.deb) ...
Selecting previously unselected package libv8-dev.
Unpacking libv8-dev (from .../libv8-dev_3.8.9.20-2_amd64.deb) ...
Selecting previously unselected package node-abbrev.
Unpacking node-abbrev (from .../node-abbrev_1.0.3-1_all.deb) ...
Selecting previously unselected package node-inherits.
Unpacking node-inherits (from .../node-inherits_0.1-1_all.deb) ...
Selecting previously unselected package node-block-stream.
Unpacking node-block-stream (from .../node-block-stream_0.0.5-1_all.deb) ...
Selecting previously unselected package node-rimraf.
Unpacking node-rimraf (from .../node-rimraf_2.0.1-1_all.deb) ...
Selecting previously unselected package node-mkdirp.
Unpacking node-mkdirp (from .../node-mkdirp_0.3.1-2_all.deb) ...
Selecting previously unselected package node-graceful-fs.
Unpacking node-graceful-fs (from .../node-graceful-fs_1.1.8-1_all.deb) ...
Selecting previously unselected package node-fstream.
Unpacking node-fstream (from .../node-fstream_0.1.13-1_all.deb) ...
Selecting previously unselected package node-ini.
Unpacking node-ini (from .../node-ini_1.0.2-1_all.deb) ...
Selecting previously unselected package node-lru-cache.
Unpacking node-lru-cache (from .../node-lru-cache_1.0.5-1_all.deb) ...
Selecting previously unselected package node-minimatch.
Unpacking node-minimatch (from .../node-minimatch_0.2.0-1_all.deb) ...
Selecting previously unselected package node-nopt.
Unpacking node-nopt (from .../node-nopt_1.0.10-2_all.deb) ...
Selecting previously unselected package node-request.
Unpacking node-request (from .../node-request_2.9.153-1_all.deb) ...
Selecting previously unselected package node-semver.
Unpacking node-semver (from .../node-semver_1.0.13-2_all.deb) ...
Selecting previously unselected package node-tar.
Unpacking node-tar (from .../node-tar_0.1.13-1_all.deb) ...
Selecting previously unselected package node-which.
Unpacking node-which (from .../node-which_1.0.5-1_all.deb) ...
Selecting previously unselected package nodejs-dev.
Unpacking nodejs-dev (from .../nodejs-dev_0.6.19~dfsg1-5ubuntu1_amd64.deb) ...
Selecting previously unselected package npm.
Unpacking npm (from .../npm_1.1.4~dfsg-2_all.deb) ...
Processing triggers for man-db ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Processing triggers for doc-base ...
Processing 3 added doc-base files...
Setting up gcc-4.7-base:i386 (4.7.2-2ubuntu1) ...
Setting up libc-ares2:amd64 (1.9.1-3) ...
Setting up wwwconfig-common (0.2.2) ...
Setting up javascript-common (8) ...
Setting up libjs-node-uuid (1.3.3-1) ...
Setting up zlib1g-dev:amd64 (1:1.2.7.dfsg-13) ...
Setting up libssl-dev (1.0.1c-3ubuntu2) ...
Setting up libssl-doc (1.0.1c-3ubuntu2) ...
Setting up libv8-3.8.9.20 (3.8.9.20-2) ...
Setting up libev4 (1:4.11-1) ...
Setting up nodejs (0.6.19~dfsg1-5ubuntu1) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
Setting up node-node-uuid (1.3.3-1) ...
Setting up libc-ares-dev:amd64 (1.9.1-3) ...
Setting up libev-dev (1:4.11-1) ...
Setting up libv8-dev (3.8.9.20-2) ...
Setting up node-abbrev (1.0.3-1) ...
Setting up node-inherits (0.1-1) ...
Setting up node-block-stream (0.0.5-1) ...
Setting up node-rimraf (2.0.1-1) ...
Setting up node-mkdirp (0.3.1-2) ...
Setting up node-graceful-fs (1.1.8-1) ...
Setting up node-fstream (0.1.13-1) ...
Setting up node-ini (1.0.2-1) ...
Setting up node-lru-cache (1.0.5-1) ...
Setting up node-minimatch (0.2.0-1) ...
Setting up node-nopt (1.0.10-2) ...
Setting up node-request (2.9.153-1) ...
Setting up node-semver (1.0.13-2) ...
Setting up node-tar (0.1.13-1) ...
Setting up node-which (1.0.5-1) ...
Setting up nodejs-dev (0.6.19~dfsg1-5ubuntu1) ...
Setting up npm (1.1.4~dfsg-2) ...
Setting up libc6:i386 (2.15-0ubuntu20) ...
Setting up zlib1g:i386 (1:1.2.7.dfsg-13) ...
Setting up libssl1.0.0:i386 (1.0.1c-3ubuntu2) ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up libc-ares2:i386 (1.9.1-3) ...
Setting up libgcc1:i386 (1:4.7.2-2ubuntu1) ...
Setting up libstdc++6:i386 (4.7.2-2ubuntu1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Selecting previously unselected package opa.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 150046 files and directories currently installed.)
Unpacking opa (from .../Downloads/opa-1.0.7.x86.deb) ...
dpkg: dependency problems prevent configuration of opa:
 opa depends on nodejs.
 opa depends on npm.

dpkg: error processing opa (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

Wondering no ho t get it installled on my computer?

@mindaslab

I Don' think this is a issue with Opa, its with the Opalang's website recommendation. When some one visits it using Ubuntu 12.10 64-bit please recommend the Linux 64 download instead of the Debian one.

@hbbio
Owner

The recommended option is now to build from source.

@hbbio hbbio closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.